rubino = {}
rubino.scan = {}

function rubino_onEvent(self, event, ...)
	if event == "COMBAT_LOG_EVENT_UNFILTERED" then
		if rubino.casterCheck(select(4, ...), select(5, ...)) then
			if rubino.eventCheck(select(2, ...), select(8, ...)) then
				SendChatMessage("Interrupted !", "SAY")
			end
		end
	end
end

function rubino.eventCheck(event, targetUID)
	local returnvalue = (event == "SPELL_INTERRUPT" or event == "SPELL_DISPEL" or event == "SPELL_STOLEN")
	if event == "SPELL_DISPEL" then
		if string.find(targetUID, "Player") ~= nil then
			returnvalue = false
		end
	end
	return returnvalue
end

function rubino.casterCheck(guid, caster)
	if string.find(guid, "Pet")~=nil then
		caster = rubino.getOwnerOfPet(caster)
	end
	return caster == rubino.select(1, UnitName("player"))
end


function rubino.getOwnerOfPet(caster)
	rubino.scan.frame:ClearLines()
	rubino.scan.frame:SetUnit(caster)
	local ownerText = rubino.scan.text:GetText()
	if not ownerText then return nil end
	local owner, _ = string.split("'",ownerText)
	   
	return owner
end
